Fixed a failed unit test and added more to the setup scenario.

Change-Id: I28ee6627834f8964d5d06756afb44e6213c8afaa
diff --git a/tools/test/bin/onos-check-components b/tools/test/bin/onos-check-components
new file mode 100755
index 0000000..38fb9a3
--- /dev/null
+++ b/tools/test/bin/onos-check-components
@@ -0,0 +1,11 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Checks whether all ONOS components are either ACTIVE or DISABLED.
+# -----------------------------------------------------------------------------
+
+aux=/tmp/stc-$$.log
+trap "rm -f $aux 2>/dev/null" EXIT
+
+onos ${1:-$OCI} scr:list > $aux
+cat $aux
+grep -q UNSATISFIED $aux && exit 1 || exit 0